#!/bin/bash
#/****************************************************************************/
#/* Life and death watch script for asynchronization watch command           */
#/*                                      Copyright FUJITSU LIMITED 2005-2010 */
#/*                                                                          */
#/* $Name: CT-SVMCO-1_0_0-0 $                                                                */
#/****************************************************************************/
# Development date : Mon JAN 18 2010

#==============================================================================
#This is a script that observes the life and death
# of the asynchronization watch command.
#This script will return as follows.
#     0 : The asynchronization watch command is alive.
#     1 : The asynchronization watch command is dead.
#     2 : The syntax error of pgrep command.
#     3 : The fatal error of pgrep command.
#==============================================================================
#
# Async Notice Alive Check Shell Scrypt
#PS4='+$LINENO: '
#set -x

swinstall=/etc/rc.d/init.d/sw-trapd
swchk=0
pname=snmptrapd
pname2=nwsnmp-trapd

if [ -x $swinstall ] ; then
	swchk=1
fi

if [ $swchk -eq 0 ] ; then
	pids=`pgrep $pname`
	result=$?
	if [ $result -ne 0 ]; then
			exit $result
	fi
else
	pids=`pgrep $pname`
	result=$?
	if [ $result -ne 0 ]; then
			exit $result
	fi
	pids=`pgrep $pname2`
	result=$?
	if [ $result -ne 0 ]; then
			exit $result
	fi
fi

exit 0
